Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-06-2017 19:43:04

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

[Fermé] message du gestionnaire paquets Synaptic

Bonjour à tout le monde.
Je suis toujours sur jessie.
Lorsque je veux utilisé le gestionnaire de paquets Synaptic il m’envoie ceci :

E: La valeur « stable-updates » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: _cache->open() failed, please report.E: La valeur « stable-updates » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles



Quelle est la solution?

J'ai fait : apt-get update && apt-get upgrade, rien n'a changé sur Synaptic

merci
Maurice

Dernière modification par Maurice (31-07-2017 00:41:41)

Hors ligne

#2 25-06-2017 19:52:57

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Fermé] message du gestionnaire paquets Synaptic

Salut maurice,

Quels sont tes sources ?
Pour le savoir, que retourne cette commande :

cat /etc/apt/sources.list


Dans le terminal on copie/colle uniquement avec la souris, pas avec le clavier.
... happy0162.gif


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 26-06-2017 11:23:09

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

voici la réponse: à ton interrogation ,merci de m'avoir préciser la cmmande; je suis toujours dans l’apprentissage du Bash

maurice@mondell:~$ cat /etc/apt/sources.list


deb http://ftp.fr.debian.org/debian/ jessie contrib non-free main
# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ jessie contrib main

# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ jessie main contrib

deb-src http://ftp.fr.debian.org/debian/ jessie main non-free contrib

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ jessie-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ jessie-updates main contrib non-free

 



Merci pour ton aide
Maurice

Hors ligne

#4 26-06-2017 11:35:40

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Fermé] message du gestionnaire paquets Synaptic

Jer ne vois pas d'erreur, est-il possible que synaptic ait ses propres sources à valider ?
Voir comme ici :
https://debian-facile.org/doc:systeme:a … de-paquets

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#5 26-06-2017 11:37:05

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour,
Je ne vois rien d'anormal dans ce retour
Que donne la commande

ls /etc/apt/sources.list.d


et fais un copier coller de tout le retour de la commande dans un terminal pour qu'on ait toutes les infos smile

apt-get update

Hors ligne

#6 26-06-2017 14:03:18

Mercredi
Membre
Distrib. : Testing
Noyau : 4.13
(G)UI : Gnome
Inscription : 25-09-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour,

D'après le message c'est jessie-update qui pose problème. Jessie étant passé en old stable, cette source de dépôt est-elle toujours valable ? (stable-update correspond maintenant à Stretch)

Essaie (avac nano par exemple) de commenter (mettre un # devant) les 2 dernières lignes du sources.list comme ceci :

#deb [url]http://ftp.fr.debian.org/debian/[/url] jessie-updates main contrib non-free
#deb-src [url]http://ftp.fr.debian.org/debian/[/url] jessie-updates main contrib non-free



Ou bien depuis Synaptic, dans configuration -> dépôts, décocher la ligne qui correspond à jessie-update.
Voir https://debian-facile.org/doc:systeme:apt:synaptic partie configurer les dépôts.

Dernière modification par Mercredi (26-06-2017 14:03:53)


De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#7 26-06-2017 14:08:16

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Fermé] message du gestionnaire paquets Synaptic

J'ai cette ligne et sans l'erreur smile

Hors ligne

#8 26-06-2017 16:49:49

Mercredi
Membre
Distrib. : Testing
Noyau : 4.13
(G)UI : Gnome
Inscription : 25-09-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

@ Chalu : pareil chez moi, la ligne jessie-updates ne pose pas de souci ; ça m'intriguait alors j'ai allumé ma Jessie tongue

@Maurice : le message d'erreur survient après quelle action dans Synaptic ? Recharger, appliquer ou autre chose ?

De toutes les forces de l'univers, la plus dure à surmonter, c'est la force de l'habitude. T.Pratchett - Trois Soeurcières.

Hors ligne

#9 26-06-2017 17:09:33

robert2a
Membre
Lieu : France
Distrib. : Buster 10
Noyau : Linux 4.14.0-1 4.14.2-1
(G)UI : Mate/Gnome
Inscription : 15-11-2014

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour


E: La valeur « stable-updates » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
 


tu a essayé ceci :


apt-get clean
 


puis


apt-get update
 


d'aprés l erreur ça fait référence a stable qui correspond a stretch maintenant

jessie-update existe  =>  http://ftp.fr.debian.org/debian/dists/   smile

Dernière modification par robert2a (26-06-2017 17:11:30)

Hors ligne

#10 10-07-2017 17:52:57

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour à Chalu, Robert2 et Mercredi ,

Ne croyez pas que j'ai laissé tombé Jessie : seule une très mauvaise chute (je suis hémiplégique) suivie du Samu , coquille ,urgences etc. Heureusement rien de cassé mais très fortes douleurs dues à des déchirements de muscles internes. Enfin je peux reprendre mes activités.

apt-get clean et apt-get update

ont résolu le problème: il y avait 6 paquets  cassés , heureusement la solution était indiquée, j'ai réparé et Synaptic a  remarché.Merci.

Tant que j'y étais j'ai voulu passé à Stretch en suivant le mode d'emploi .... ça a pas marché : j'ai du me mette dedans quelque part!, Aprés quelques "bricolages" et passages de l'ancien kermel  au nouveau j'ai fini par avoir Stretch en entier et qui marche;. La chance souri aux vieux innocents! tout marchait , rien à reprendre des sauvegardes je suis resté sur Gnome, j'essaierai les autres option , pour voir
Seulement, voila pour peaufiner(le mieux est l'ennemi du bien... mais on se refait pas), j'ai voulu supprimer les paquets indiqués par synaptic comme pouvant être supprimés. j'ai essayé avec le premier, hélas je n'ai pas noté:l'innocent croyait que cela irait tout seul; j'ai obtenu comme réponse:

E: La valeur « stable-updates » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
E: _cache->open() failed, please report.



Synaptic n'indique plus aucun paquet, je pensais supprimer Synaptic et le réinstaller par le terminal mais ne ne connais pas l'usage de la commande remouve ou purge,et je ne veux pas me lancer seul cette fois (je ne crois pas que la "chance et l'improvisation" me souriront 2 fois.) De plus j'ignore si cela peut se faire.
Voyez vous une solution?
Merci du temps que vous passez pour moi.
Maurice.

Hors ligne

#11 10-07-2017 18:00:55

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour apres pour passer a Stretch il ne faut plus utiliser ftp dans les sources
https://www.debian.org/releases/stretch … pt-mirrors

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#12 10-07-2017 19:13:04

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Fermé] message du gestionnaire paquets Synaptic

Non en fait c'est bon ça commence bien par http://ftp.fr.debian.org/debian/ dans son sources.list
C'est d'ailleurs ce qui est coché par défaut quand on installe en choisissant France

Dans un terminal que donne le retour de

apt-get update

Hors ligne

#13 15-07-2017 21:55:32

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

bonjour,
voici ce que donne apt-get update :

apt-get update



Ign:1 http://ftp.fr.debian.org/debian stretch InRelease
Atteint:2 http://security.debian.org stretch/updates InRelease
Atteint:3 http://ftp.fr.debian.org/debian stretch-updates InRelease          
Atteint:4 http://ftp.fr.debian.org/debian stretch Release                    
Lecture des listes de paquets... Fait                          
root@mondell:/home/maurice#
 



Voici ma source.list actuelle



deb http://ftp.fr.debian.org/debian/ stretch contrib non-free main
# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 8.2.0 _Jessie_ - Official amd64 DVD Binary-1 20150906-11:13]/ stretch main contrib

deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src http://security.debian.org/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free

 




Je remarque que source.list.d est vide.Normal?

Merci.
Maurice

Hors ligne

#14 16-07-2017 00:20:08

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Fermé] message du gestionnaire paquets Synaptic

sources.list.d peut être vide. cela n'est pas anormal.
pour comprendre l'utilité du dossier, tu peux lire la page du wiki concernant sources.list et il doit exister une page dédiée à sources.list.d

En ligne

#15 16-07-2017 10:12:35

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour
Bon excusé du hors sujet

smolski a écrit :

Dans le terminal on copie/colle uniquement avec la souris, pas avec le clavier


Tu colles avec Ctrl+Maj+V dans le terminale


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#16 22-07-2017 19:30:26

Maurice
Membre
Distrib. : jessie--Debian 8.2.0
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome
Inscription : 25-11-2015

Re : [Fermé] message du gestionnaire paquets Synaptic

Bonjour,
Merci pour le raccourci et l'utilisation du clavier.
Malgré mes lectures ,de tutos ,de recherches et divers essais j'ai toujours des problèmes avec Synoptic. J'ai aussi remarqué (lors de l’exécution de Bleachbit avec root) d'autres erreurs de ma part. Pour avoir un Stretch "propre" je vais remonter complètement Stretch à partir d'un DVD , je vais faire l'image ISO  par Torrent et graver le DVD . j'ai 2 questions :

Je suis en dual-boot avec windows 8.1.  Est ce que je dois d'abord formater les partitions ext. 4 de Linux avant d'installer le nouveau Stretch?

Le nouveau dual-boot se met il à la place de l'actuel?

Merci

Hors ligne

Pied de page des forums